package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.QuestionTypeQueryParams;
import com.qmth.qrzk.repository.user.model.CourseQuestionType;
import com.qmth.qrzk.repository.user.model.QuestionType;

@Component("questionTypeMapper")
public interface QuestionTypeMapper extends CommonMapper{

	public 	List<QuestionType> findAllByIds(List<Integer> list);
	
	public List<QuestionType> queryQuestionTypes(QuestionTypeQueryParams params);
	
	public int queryQuestionTypesCount(QuestionTypeQueryParams params);
	
	public QuestionType selectById(int id);
	
	public List<QuestionType> queryByCourseId(int courseId);
	
	public int addCourseQuestionType(@Param("list")List<CourseQuestionType> list); 
	
	public int addCourseLinkQuestionType(CourseQuestionType cq); 
	
	public int addQuestionType(QuestionType questionType);
	
	
	public int updateQuestionType(QuestionType questionType);
	
	public List<QuestionType> findByName(String name);
}
